<?php
namespace Bushelpowered\Api\Platform\File\V1\Response;
        
class GetFilesResponse implements \Bushelpowered\Api\Common\ReturnsPaginationTokens
{
    /** @var \Bushelpowered\Api\Platform\File\V1\Common\File[] $files */
    public array $files;
    public ?string $continuationToken = null;

    /**
     * @param  \Bushelpowered\Api\Platform\File\V1\Common\File[]  $files 
     */
    public function __construct(array $files, ?string $continuationToken)
    {
        $this->files = $files;
        $this->continuationToken = $continuationToken;
    }
    
    public function getContinuationToken(): ?string
    {
        return $this->continuationToken;
    }
}