<?php
namespace Bushelpowered\Api\Trade\Esign\V1\Request;
        
class CreateDocumentRequest 
{
    public string $datasourceId;
    public ?string $customerTag = null;
    public ?string $title = null;
    public ?string $subject = null;
    public ?string $message = null;
    public \Bushelpowered\Api\Trade\Esign\V1\Model\Owner $owner;
    public \Bushelpowered\Api\Trade\Esign\V1\Model\Signer $signer;

    /**
     */
    public function __construct(string $datasourceId, ?string $customerTag, ?string $title, ?string $subject, ?string $message, \Bushelpowered\Api\Trade\Esign\V1\Model\Owner $owner, \Bushelpowered\Api\Trade\Esign\V1\Model\Signer $signer)
    {
        $this->datasourceId = $datasourceId;
        $this->customerTag = $customerTag;
        $this->title = $title;
        $this->subject = $subject;
        $this->message = $message;
        $this->owner = $owner;
        $this->signer = $signer;
    }
    

}